Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyConnection

    java.lang.Object
      org.jboss.mq.Connection
          org.jboss.mq.SpyConnection

All Implemented Interfaces:
  javax.jms.Connection, javax.jms.QueueConnection, Serializable, javax.jms.TopicConnection

Direct Known Subclasses:
  SpyXAConnection

public class SpyConnection
extends Connection
implements Serializable, javax.jms.TopicConnection, javax.jms.QueueConnection

This class implements javax.jms.QueueConnection and javax.jms.TopicConnection

Version:
  $Revision: 1.15 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.mq.Connection
`clientID, clientILService, clockDaemon, closing, connectionToken, destinationSubscriptions, modeStop, pingPeriod, ponged, serverIL, subscriptions`

Constructor Summary
`SpyConnection(GenericConnectionFactory gcf)` Create a new SpyConnection
`SpyConnection(String userId, String password, GenericConnectionFactory gcf)` Create a new SpyConnection

Method Summary
`javax.jms.ConnectionConsumer` | `createConnectionConsumer(javax.jms.Destination destination, String messageSelector, javax.jms.ServerSessionPool sessionPool, int maxMessages)`
`javax.jms.ConnectionConsumer` | `createConnectionConsumer(javax.jms.Queue queue, String messageSelector, javax.jms.ServerSessionPool sessionPool, int maxMessages)`
`javax.jms.ConnectionConsumer` | `createConnectionConsumer(javax.jms.Topic topic, String messageSelector, javax.jms.ServerSessionPool sessionPool, int maxMessages)`
`javax.jms.ConnectionConsumer` | `createDurableConnectionConsumer(javax.jms.Topic topic, String subscriptionName, String messageSelector, javax.jms.ServerSessionPool sessionPool, int maxMessages)`
`javax.jms.QueueSession` | `createQueueSession(boolean transacted, int acknowledgeMode)`
`javax.jms.Session` | `createSession(boolean transacted, int acknowledgeMode)`
`javax.jms.TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)`

Methods inherited from class org.jboss.mq.Connection
`askForAnID, askForAnID, asynchClose, asynchDeleteTemporaryDestination, asynchDeliver, asynchFailure, asynchPong, authenticate, checkClientID, close, deleteTemporaryDestination, doStop, getClientID, getExceptionListener, getMetaData, getServerIL, getThreadGroup, send, send, setClientID, setExceptionListener, start, startILService, stop, stopILService, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Connection
`close, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Constructor Detail

### SpyConnection

    public SpyConnection(String userId,
                         String password,
                         GenericConnectionFactory gcf)
                  throws javax.jms.JMSException

  Create a new SpyConnection

Parameters:
  `userId` - the user
  `password` - the password
  `gcf` - the constructing class
Throws:
  `javax.jms.JMSException` - for any error

### SpyConnection

    public SpyConnection(GenericConnectionFactory gcf)
                  throws javax.jms.JMSException

  Create a new SpyConnection

Parameters:
  `gcf` - the constructing class
Throws:
  `javax.jms.JMSException` - for any error

Method Detail

### createConnectionConsumer

    public javax.jms.ConnectionConsumer createConnectionConsumer(javax.jms.Destination destination,
                                                                 String messageSelector,
                                                                 javax.jms.ServerSessionPool sessionPool,
                                                                 int maxMessages)
                                                          throws javax.jms.JMSException

  Specified by:
    `createConnectionConsumer` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### createSession

    public javax.jms.Session createSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws javax.jms.JMSException

  Specified by:
    `createSession` in interface `javax.jms.Connection`
  Throws:
    `javax.jms.JMSException`

### createTopicSession

    public javax.jms.TopicSession createTopicSession(boolean transacted,
                                                     int acknowledgeMode)
                                              throws javax.jms.JMSException

  Specified by:
    `createTopicSession` in interface `javax.jms.TopicConnection`
  Throws:
    `javax.jms.JMSException`

### createConnectionConsumer

    public javax.jms.ConnectionConsumer createConnectionConsumer(javax.jms.Topic topic,
                                                                 String messageSelector,
                                                                 javax.jms.ServerSessionPool sessionPool,
                                                                 int maxMessages)
                                                          throws javax.jms.JMSException

  Specified by:
    `createConnectionConsumer` in interface `javax.jms.TopicConnection`
  Throws:
    `javax.jms.JMSException`

### createDurableConnectionConsumer

    public javax.jms.ConnectionConsumer createDurableConnectionConsumer(javax.jms.Topic topic,
                                                                        String subscriptionName,
                                                                        String messageSelector,
                                                                        javax.jms.ServerSessionPool sessionPool,
                                                                        int maxMessages)
                                                                 throws javax.jms.JMSException

  Specified by:
    `createDurableConnectionConsumer` in interface `javax.jms.TopicConnection`
  Throws:
    `javax.jms.JMSException`

### createConnectionConsumer

    public javax.jms.ConnectionConsumer createConnectionConsumer(javax.jms.Queue queue,
                                                                 String messageSelector,
                                                                 javax.jms.ServerSessionPool sessionPool,
                                                                 int maxMessages)
                                                          throws javax.jms.JMSException

  Specified by:
    `createConnectionConsumer` in interface `javax.jms.QueueConnection`
  Throws:
    `javax.jms.JMSException`

### createQueueSession

    public javax.jms.QueueSession createQueueSession(boolean transacted,
                                                     int acknowledgeMode)
                                              throws javax.jms.JMSException

  Specified by:
    `createQueueSession` in interface `javax.jms.QueueConnection`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.